# Class RawInput

java.lang.Object
org.fressian.impl.RawInput

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class RawInput extends Object implements Closeable

## Constructor Summary

Constructors
Constructor
Description
`RawInput(InputStream is)`
`RawInput(InputStream is, boolean validateAdler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getBytesRead()`
`void`
`readFully(byte[] bytes, int offset, int length)`
`int`
`readRawByte()`
`double`
`readRawDouble()`
`float`
`readRawFloat()`
`long`
`readRawInt16()`
`long`
`readRawInt24()`
`long`
`readRawInt32()`
`long`
`readRawInt40()`
`long`
`readRawInt48()`
`long`
`readRawInt64()`
`long`
`readRawInt8()`
`void`
`reset()`
`void`
`validateChecksum()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawInput

public RawInput(InputStream is)

### RawInput

public RawInput(InputStream is, boolean validateAdler)

## Method Details

### readRawByte

public int readRawByte() throws IOException

Throws:
  `IOException`

### readRawInt8

public long readRawInt8() throws IOException

Throws:
  `IOException`

### readRawInt16

public long readRawInt16() throws IOException

Throws:
  `IOException`

### readRawInt24

public long readRawInt24() throws IOException

Throws:
  `IOException`

### readRawInt32

public long readRawInt32() throws IOException

Throws:
  `IOException`

### readRawInt40

public long readRawInt40() throws IOException

Throws:
  `IOException`

### readRawInt48

public long readRawInt48() throws IOException

Throws:
  `IOException`

### readRawInt64

public long readRawInt64() throws IOException

Throws:
  `IOException`

### readRawFloat

public float readRawFloat() throws IOException

Throws:
  `IOException`

### readRawDouble

public double readRawDouble() throws IOException

Throws:
  `IOException`

### readFully

public void readFully(byte[] bytes, int offset, int length) throws IOException

Throws:
  `IOException`

### getBytesRead

public int getBytesRead()

### reset

public void reset()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

### validateChecksum

public void validateChecksum() throws IOException

Throws:
  `IOException`